> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location where app is installed

> This API allows you fetch location where app is installed upon



## OpenAPI

````yaml /api-reference/oauth/openapi.json get /oauth/installedLocations
openapi: 3.0.0
info:
  title: OAuth 2.0
  description: Documentation for OAuth 2.0 API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: OAuth 2.0
    description: Documentation for OAuth 2.0 API
paths:
  /oauth/installedLocations:
    get:
      tags:
        - OAuth 2.0
      summary: Get Location where app is installed
      description: This API allows you fetch location where app is installed upon
      operationId: get-installed-location
      parameters:
        - name: skip
          required: false
          in: query
          description: Parameter to skip the number installed locations
          schema:
            default: '0'
            example: '1'
            type: string
        - name: limit
          required: false
          in: query
          description: Parameter to limit the number installed locations
          schema:
            default: '20'
            example: '10'
            type: string
        - name: query
          required: false
          in: query
          description: Parameter to search for the installed location by name
          schema:
            example: location name
            type: string
        - name: isInstalled
          required: false
          in: query
          description: >-
            Filters out location which are installed for specified app under the
            specified company
          schema:
            example: true
            type: boolean
        - name: companyId
          required: true
          in: query
          description: Parameter to search by the companyId
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
        - name: appId
          required: true
          in: query
          description: Parameter to search by the appId
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
        - name: versionId
          required: false
          in: query
          description: VersionId of the app
          schema:
            example: tDtDnQdgm2LXpyiqYvZ6
            type: string
        - name: onTrial
          required: false
          in: query
          description: >-
            Filters out locations which are installed for specified app in trial
            mode
          schema:
            example: true
            type: boolean
        - name: planId
          required: false
          in: query
          description: >-
            Filters out location which are installed for specified app under the
            specified planId
          schema:
            example: true
            type: string
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetInstalledLocationsSuccessfulResponseDto
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - oauth.readonly
components:
  schemas:
    GetInstalledLocationsSuccessfulResponseDto:
      type: object
      properties:
        locations:
          type: array
          items:
            $ref: '#/components/schemas/InstalledLocationSchema'
        count:
          type: number
          example: 1231
          description: Total location count under the company
        installToFutureLocations:
          type: boolean
          description: >-
            Boolean to control if user wants app to be automatically installed
            to future locations
          example: true
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          example:
            - Unprocessable Entity
          type: array
          items:
            type: string
        error:
          type: string
          example: Unprocessable Entity
    InstalledLocationSchema:
      type: object
      properties:
        _id:
          type: string
          example: 0IHuJvc2ofPAAA8GzTRi
          description: Location ID
        name:
          type: string
          example: John Deo
          description: Name of the location
        address:
          type: string
          example: 47 W 13th St, New York, NY 10011, USA
          description: Address linked to location
        isInstalled:
          type: boolean
          example: true
          description: Check if the requested app is installed for following location
      required:
        - _id
        - name
        - address
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access Token or Private Integration Token

````